For the complete documentation index, see llms.txt. This page is also available as Markdown.

Session

session

Session Search

get

Search Sessions this user has access to

Query parameters
typestring · enumOptional

Filter by type

Possible values:
lastAccessedDateFromstring · dateOptional

Start date for filtering sessions by last accessed date

lastAccessedDateTostring · dateOptional

End date for filtering sessions by last accessed date

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/sessions
GET /api/sessions HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "userId": 1,
    "userName": "text",
    "isExpired": 1,
    "lastAccessed": "2026-01-01T00:00:00.000Z",
    "remoteAddress": "text",
    "userAgent": "text",
    "expiresAt": "2026-01-01T00:00:00.000Z",
    "userPermissions": {}
  }
]

Session Logout

delete

Logs out all sessions for the given user

Path parameters
idintegerRequired

The User ID to log out

Responses
200

successful operation

application/json
successbooleanOptional
messagestringOptional
delete/sessions/logout/{id}
DELETE /api/sessions/logout/{id} HTTP/1.1
Accept: */*
200

successful operation

{
  "success": true,
  "message": "text"
}

Last updated

Was this helpful?